package com.jiuqi.util;

package .tmp;

import com.jiuqi.util.MemStream;
import com.jiuqi.util.Stream;
import com.jiuqi.util.StreamException;
import java.io.IOException;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.List;

public class StringArrayOutputStream extends OutputStream {
  private Stream buffer = (Stream)new MemStream();
  
  private List list = new ArrayList();
  
  private int line = 0;
  
  private void addLine() throws StreamException {
    byte[] data = this.buffer.getBytes();
    String s = (data == null) ? "" : new String(data);
    if (this.line >= this.list.size()) {
      this.list.add(s);
    } else {
      this.list.set(this.line, s);
    } 
    this.line++;
  }
  
  public void write(int b) throws IOException {
    if (b == 9)
      return; 
    try {
      if (b == 10) {
        addLine();
        this.buffer.setSize(0L);
      } else {
        this.buffer.write((byte)b);
      } 
    } catch (StreamException ex) {
      throw new IOException(ex.getMessage());
    } 
  }
  
  public String[] toStringArray() {
    return (String[])this.list.toArray((Object[])new String[this.list.size()]);
  }
  
  public void reset() {
    this.line = 0;
  }
}
